r36257 - in /desktop/experimental/pango1.0/debian: changelog control tests/ tests/build tests/control

mpitt at users.alioth.debian.org mpitt at users.alioth.debian.org
Mon Nov 12 12:13:34 UTC 2012


Author: mpitt
Date: Mon Nov 12 12:13:34 2012
New Revision: 36257

URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=36257
Log:
Add debian/tests: Simple compile/link/run autopkg test. Thanks to Rafał
Cieślak! (LP: #1073637)

Added:
    desktop/experimental/pango1.0/debian/tests/
    desktop/experimental/pango1.0/debian/tests/build
    desktop/experimental/pango1.0/debian/tests/control
Modified:
    desktop/experimental/pango1.0/debian/changelog
    desktop/experimental/pango1.0/debian/control

Modified: desktop/experimental/pango1.0/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/pango1.0/debian/changelog?rev=36257&op=diff
==============================================================================
--- desktop/experimental/pango1.0/debian/changelog [utf-8] (original)
+++ desktop/experimental/pango1.0/debian/changelog [utf-8] Mon Nov 12 12:13:34 2012
@@ -7,6 +7,8 @@
     - 00git_memory_leak.patch: Fix memory leak (LP: #837145)
     - 00git_thai_zero_width_spaces.patch: correctly handle zero width spaces
       in Thai (LP: #986008)
+  * Add debian/tests: Simple compile/link/run autopkg test. Thanks to Rafał
+    Cieślak! (LP: #1073637)
 
  -- Martin Pitt <mpitt at debian.org>  Mon, 12 Nov 2012 13:06:37 +0100
 

Modified: desktop/experimental/pango1.0/debian/control
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/pango1.0/debian/control?rev=36257&op=diff
==============================================================================
--- desktop/experimental/pango1.0/debian/control [utf-8] (original)
+++ desktop/experimental/pango1.0/debian/control [utf-8] Mon Nov 12 12:13:34 2012
@@ -103,6 +103,7 @@
 Recommends: debhelper
 Replaces: gir-repository-dev,
           gobject-introspection-repository
+XS-Testsuite: autopkgtest
 Description: Development files for the Pango
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is

Added: desktop/experimental/pango1.0/debian/tests/build
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/pango1.0/debian/tests/build?rev=36257&op=file
==============================================================================
--- desktop/experimental/pango1.0/debian/tests/build (added)
+++ desktop/experimental/pango1.0/debian/tests/build [utf-8] Mon Nov 12 12:13:34 2012
@@ -1,0 +1,28 @@
+#!/bin/sh
+# autopkgtest check: Builds a small application against libcairo2-dev, checking
+# if it compiles, links and runs successfully.
+# Author: Rafał Cieślak <rafalcieslak256 at ubuntu.com> 
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > build_test.c
+
+#include <pango/pango.h>
+int main (int argc, char *argv[])
+{
+	PangoFontDescription* pfd = pango_font_description_new();
+	if(!pfd) return 1;
+	pango_font_description_set_size(pfd,12);
+	return 0;
+}
+EOF
+
+gcc -o build_test build_test.c `pkg-config --cflags --libs pango`
+echo "build: OK"
+[ -x build_test ]
+./build_test
+echo "run: OK"
+

Added: desktop/experimental/pango1.0/debian/tests/control
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/pango1.0/debian/tests/control?rev=36257&op=file
==============================================================================
--- desktop/experimental/pango1.0/debian/tests/control (added)
+++ desktop/experimental/pango1.0/debian/tests/control [utf-8] Mon Nov 12 12:13:34 2012
@@ -1,0 +1,2 @@
+Tests: build
+Depends: build-essential, libpango1.0-dev, pkg-config




More information about the pkg-gnome-commits mailing list